Manuel PHP
Précédent |  | Suivant

# dbminsert

(PHP 3, PHP 4, PECL)

dbminsert -- Insère une valeur

## Description

int dbminsert ( resource dbm_identifier, string key, string value )

Ajoute une valeur dans la base de données avec la clé spécifiée.

## Liste de paramètres

`dbm_identifier`

  L'identifiant de lien DBM, retourné par la fonction dbmopen().

`key`

  La clé ajoutée

`value`

  La valeur de la clé ajoutée

## Valeurs de retour

Retourne -1 si la base a été ouverte en mode lecture seule, 0 si l'insertion a été réussie, et 1 si la clé key existe déjà. (Pour remplacer la valeur, utilisez dbmreplace().)

## Voir aussi

dbmreplace()
dbmdelete()

Précédent | Sommaire | Suivant
dbmfirstkey | Niveau supérieur | dbmnextkey